Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.impl.jdbcjobstore
Class FiredTriggerRecord

    java.lang.Object
      org.quartz.impl.jdbcjobstore.FiredTriggerRecord

All Implemented Interfaces:
  Serializable

    public class FiredTriggerRecord

extends Object
implements Serializable

Conveys the state of a fired-trigger record.

Author:
  James House
See Also:
  Serialized Form

Constructor Summary
`FiredTriggerRecord()`

Method Summary
`String` | `getFireInstanceId()`
`String` | `getFireInstanceState()`
`long` | `getFireTimestamp()`
`JobKey` | `getJobKey()`
`int` | `getPriority()`
`String` | `getSchedulerInstanceId()`
`long` | `getScheduleTimestamp()`
`TriggerKey` | `getTriggerKey()`
`boolean` | `isJobDisallowsConcurrentExecution()`
`boolean` | `isJobRequestsRecovery()`
`void` | `setFireInstanceId(String string)`
`void` | `setFireInstanceState(String string)`
`void` | `setFireTimestamp(long l)`
`void` | `setJobDisallowsConcurrentExecution(boolean b)`
`void` | `setJobKey(JobKey key)`
`void` | `setJobRequestsRecovery(boolean b)`
`void` | `setPriority(int priority)`
`void` | `setSchedulerInstanceId(String string)`
`void` | `setScheduleTimestamp(long l)`
`void` | `setTriggerKey(TriggerKey key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FiredTriggerRecord

    public FiredTriggerRecord()

Method Detail

### getFireInstanceId

    public String getFireInstanceId()

### getFireTimestamp

    public long getFireTimestamp()

### getScheduleTimestamp

    public long getScheduleTimestamp()

### isJobDisallowsConcurrentExecution

    public boolean isJobDisallowsConcurrentExecution()

### getJobKey

    public JobKey getJobKey()

### getSchedulerInstanceId

    public String getSchedulerInstanceId()

### getTriggerKey

    public TriggerKey getTriggerKey()

### getFireInstanceState

    public String getFireInstanceState()

### setFireInstanceId

    public void setFireInstanceId(String string)

### setFireTimestamp

    public void setFireTimestamp(long l)

### setScheduleTimestamp

    public void setScheduleTimestamp(long l)

### setJobDisallowsConcurrentExecution

    public void setJobDisallowsConcurrentExecution(boolean b)

### setJobKey

    public void setJobKey(JobKey key)

### setSchedulerInstanceId

    public void setSchedulerInstanceId(String string)

### setTriggerKey

    public void setTriggerKey(TriggerKey key)

### setFireInstanceState

    public void setFireInstanceState(String string)

### isJobRequestsRecovery

    public boolean isJobRequestsRecovery()

### setJobRequestsRecovery

    public void setJobRequestsRecovery(boolean b)

### getPriority

    public int getPriority()

### setPriority

    public void setPriority(int priority)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.